Bug 216801 - net-mgmt/cacti: update to 1.0.0
Summary: net-mgmt/cacti: update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vanilla I. Shu
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-04 23:26 UTC by Daniel Austin
Modified: 2017-02-10 15:51 UTC (History)
1 user (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
update cacti to 1.0.0 (72.53 KB, patch)
2017-02-04 23:26 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff
Update cacti to 1.0.1 (71.73 KB, patch)
2017-02-07 20:35 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2017-02-04 23:26:47 UTC
Created attachment 179621 [details]
update cacti to 1.0.0

Update Cacti to 1.0.0
This adds support for PHP7 finally.

Modified files:
 * Makefile
 * distinfo
 * files/patch-include__global.php
 * files/patch-include__global_settings.php
 * files/patch-lib__functions.php
 * files/patch-scripts__ping.pl
 * files/pkg-message.in
 * pkg-plist

Added files:
 * files/patch-install__functions.php
 * files/patch-lib__clog_webapi.php
 * files/patch-poller_maintenance.php
 * files/patch-utilities.php

Removed files:
 * files/patch-install__index.php


Poudriere testport logs for 10.3/11.0 i386/amd64 at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.0.0/
Comment 1 Daniel Austin 2017-02-06 09:14:07 UTC
Hi, please hold on committing this... they've just released 1.0.1 with some bug fixes, so i'll update to that directly instead.

I'll update the patch and details here once done.
Comment 2 Daniel Austin 2017-02-07 20:35:39 UTC
Created attachment 179720 [details]
Update cacti to 1.0.1

Update Cacti to 1.0.1
This adds support for PHP7 finally.

Modified files:
 * Makefile
 * distinfo
 * files/patch-include__global.php
 * files/patch-include__global_settings.php
 * files/patch-lib__functions.php
 * files/pkg-message.in
 * pkg-plist

Added files:
 * files/patch-install__functions.php
 * files/patch-lib__clog_webapi.php
 * files/patch-poller_maintenance.php
 * files/patch-utilities.php

Removed files:
 * files/patch-install__index.php
 * files/patch-scripts__ping.pl


Poudriere testport logs for 10.3/11.0 i386/amd64 at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.0.1/
Comment 3 Daniel Austin 2017-02-07 20:37:16 UTC
ok - should be good to go please :-)
Comment 4 commit-hook freebsd_committer 2017-02-10 15:51:13 UTC
A commit references this bug:

Author: vanilla
Date: Fri Feb 10 15:50:54 UTC 2017
New revision: 433809
URL: https://svnweb.freebsd.org/changeset/ports/433809

Log:
  Update to 1.0.0, and adds support for php7.

  PR:		216801
  Submitted by:	maintainer

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/distinfo
  head/net-mgmt/cacti/files/patch-include__global.php
  head/net-mgmt/cacti/files/patch-include__global_settings.php
  head/net-mgmt/cacti/files/patch-install__functions.php
  head/net-mgmt/cacti/files/patch-install__index.php
  head/net-mgmt/cacti/files/patch-lib__clog_webapi.php
  head/net-mgmt/cacti/files/patch-lib__functions.php
  head/net-mgmt/cacti/files/patch-poller_maintenance.php
  head/net-mgmt/cacti/files/patch-scripts__ping.pl
  head/net-mgmt/cacti/files/patch-utilities.php
  head/net-mgmt/cacti/files/pkg-message.in
  head/net-mgmt/cacti/pkg-plist